package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.HelpInitiateRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 助力活动发起人员记录  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Mapper
public interface HelpInitiateRecordMapper extends BaseMapper<HelpInitiateRecord> {

    /**
     * 助力记录（成功，进行中，失败）
     * @param pg
     * @param helpActivityId
     * @param status
     * @return
     */
    IPage<HelpInitiateRecord> selectPageList(IPage<HelpInitiateRecord> pg, @Param("helpActivityId") Integer helpActivityId, @Param("status") String status);
}
